TreeDropTarget
Keywords: uk.ac.ic.doc.automed.xmlschema.tree.TreeDropTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.tree
Class TreeDropTarget

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.tree.TreeDropTarget

All Implemented Interfaces:
  java.awt.dnd.DropTargetListener, java.util.EventListener

    public class TreeDropTarget

extends java.lang.Object
implements java.awt.dnd.DropTargetListener

Field Summary
`protected javax.swing.tree.TreePath` | `p`
`static java.awt.datatransfer.DataFlavor` | `TREE_PATH_FLAVOR`

Constructor Summary
`TreeDropTarget(javax.swing.JTree tree, javax.swing.JTextArea textArea, XMLSchemaEditor xstb)`

Method Summary
`void` | `dragEnter(java.awt.dnd.DropTargetDragEvent dtde)`
`void` | `dragExit(java.awt.dnd.DropTargetEvent dte)`
`void` | `dragOver(java.awt.dnd.DropTargetDragEvent dtde)`
`void` | `drop(java.awt.dnd.DropTargetDropEvent dtde)`
`void` | `dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)`
`Schema` | `getSchema()` Get the current schema
`void` | `setSchema(Schema s)` Set the current schema

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### p

    protected javax.swing.tree.TreePath p

### TREE_PATH_FLAVOR

    public static java.awt.datatransfer.DataFlavor TREE_PATH_FLAVOR

Constructor Detail

### TreeDropTarget

    public TreeDropTarget(javax.swing.JTree tree,
                          javax.swing.JTextArea textArea,
                          XMLSchemaEditor xstb)

Method Detail

### getSchema

    public Schema getSchema()

  Get the current schema

### setSchema

    public void setSchema(Schema s)

  Set the current schema

### dragEnter

    public void dragEnter(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DropTargetListener`

### dragOver

    public void dragOver(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DropTargetListener`

### dragExit

    public void dragExit(java.awt.dnd.DropTargetEvent dte)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DropTargetListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

### drop

    public void drop(java.awt.dnd.DropTargetDropEvent dtde)

  Specified by:
    `drop` in interface `java.awt.dnd.DropTargetListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD